/*----------------------------------------------------------------------
TitanBomber - Roberto Prieto
Copyright (C) 2005-2023 MegaStorm Systems
contact@megastormsystems.com - http://www.megastormsystems.com

This software is provided 'as-is', without any express or implied
warranty.  In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

------------------------------------------------------------------------

Hall of Fame class

------------------------------------------------------------------------ */

#ifndef _TITANHOF
#define _TITANHOF

#include "CRM32Pro.h"
#include "gamefield.h"

#define HOF_RESOURCE "setup.dpf"
#define HOF_SCORES 9

// HOF class
class cHOF
{
public:
    cHOF();
    ~cHOF();
    void Store(sPlayers *players, int gametype);
    void Render();
private:
    void Insert(sPlayers *player, int gametype, int pos);
    int idDPF,iStatus;
    DPF_BlockData bqHOF;
    struct sScores
    {
        char	sPlayerName[8];
        Uint8	iPlayer;
        int		iPoints;
    } scores[3][HOF_SCORES]; // Game type and top scores
};

extern cHOF *HOF;

#endif