/*----------------------------------------------------------------------
TitanBomber - Roberto Prieto
Copyright (C) 2005-2023 MegaStorm Systems
contact@megastormsystems.com - http://www.megastormsystems.com

This software is provided 'as-is', without any express or implied
warranty.  In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

------------------------------------------------------------------------

Resources

------------------------------------------------------------------------ */

#ifndef _TITANRES
#define _TITANRES

#include "CRM32Pro.h"

#if defined(_LINUX) || defined(_MACOSX)
#include <math.h>
char *_itoa(int i,char *a,size_t len);
#endif

#define FONT_RESOURCE "game.dpf"

// FontStore class
class cFontStore
{
public:
    cFontStore();
    ~cFontStore();
    int Load();
    CRM32Pro_CFont *GetPlayerFont(Uint8);
    CRM32Pro_CFont *Debug;
    CRM32Pro_CFont *Info;
    CRM32Pro_CFont *Score;
    CRM32Pro_CFont *Air;
    CRM32Pro_CFont *Earth;
    CRM32Pro_CFont *Water;
    CRM32Pro_CFont *Fire;
};
extern cFontStore *FontStore;

// Sound & music resources
extern int hndS_thunder, hndS_clickOK, hndS_clickPS, hndS_clickFail, hndS_exit;
extern int hndS_putBomb, hndS_catchItem, hndS_airExplosion, hndS_waterExplosion;
extern int hndS_earthExplosion, hndS_fireExplosion, hndS_death;
extern int hndS_tieGame, hndS_winGame, hndS_abortGame, hndS_startGame;
extern int hndM_menu[3], hndM_air, hndM_earth, hndM_fire, hndM_water;
// LoadAudio() - Load audio resources
void LoadAudio();
// FreeAudio() - Free audio resources
void FreeAudio();

// Graphics resources
extern SDL_Surface *sMenuBg,*sHallOfFameBg,*sAuthorBg;
extern Uint32 cCursor;
extern Uint32 bQuitID, bStartGameID, bJoinGameID, bHallOfFameID;
extern Uint32 bTimedID, bLeagueID, bRandomID;
extern Uint32 bAirNameID,bEarthNameID,bFireNameID,bWaterNameID;
extern Uint32 bAirSwitchID,bEarthSwitchID,bFireSwitchID,bWaterSwitchID;
extern Uint32 bIPID;
// LoadGraphics() - Load graphics resources
int LoadGraphics();
// FreeGraphics() - Free graphics resources
void FreeGraphics();
// Enable menu buttons
void EnableButtons(void *param1, void *param2 = NULL);
// Disable menu buttons
void DisableButtons();

#endif
